StoragePool (CMDB Model API)
Keywords: com.collation.platform.model.topology.storage.StoragePool interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.storage
Interface StoragePool

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface StoragePool

extends LogicalElement, ConfigurationItem

A pool of StorageVolumes.

Naming Rules:
  0="ansiT10Id" 1="managedSystemName"
Persistable:
  true
Table Name:
  STORPOOL
Top Level:
  true
Display Name:
  ansiT10Id

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getAnsiT10Id()` This is a unique storage ID.
`long` | `getCapacity()`
`StorageVolume[]` | `getMembers()`
`java.lang.String` | `getRaidLevel()`
`long` | `getRemainingManagedSpace()`
`StorageSubSystem` | `getStorageSubSystem()`
`long` | `getTotalAvailableSpace()`
`long` | `getTotalManagedSpace()`
`boolean` | `getVirtual()`
`boolean` | `hasAnsiT10Id()`
`boolean` | `hasCapacity()`
`boolean` | `hasMembers()`
`boolean` | `hasRaidLevel()`
`boolean` | `hasRemainingManagedSpace()`
`boolean` | `hasStorageSubSystem()`
`boolean` | `hasTotalAvailableSpace()`
`boolean` | `hasTotalManagedSpace()`
`boolean` | `hasVirtual()`
`void` | `setAnsiT10Id(java.lang.String id)`
`void` | `setCapacity(long capacity)`
`void` | `setMembers(StorageVolume[] volumes)`
`void` | `setRaidLevel(java.lang.String level)`
`void` | `setRemainingManagedSpace(long space)`
`void` | `setStorageSubSystem(StorageSubSystem x)`
`void` | `setTotalAvailableSpace(long space)`
`void` | `setTotalManagedSpace(long space)`
`void` | `setVirtual(boolean x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getVirtual

    boolean getVirtual()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setVirtual

    void setVirtual(boolean x)

### hasVirtual

    boolean hasVirtual()

### getStorageSubSystem

    StorageSubSystem getStorageSubSystem()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.ControlledBy" reverse="false"

### setStorageSubSystem

    void setStorageSubSystem(StorageSubSystem x)

### hasStorageSubSystem

    boolean hasStorageSubSystem()

### getAnsiT10Id

    java.lang.String getAnsiT10Id()
                                  throws AttributeNotSetException

  This is a unique storage ID. Typically this is used to identify resources like DiskDrive, TapeDrive, StoragePool, TapeLibary, StorageSubSystem, etc. Note - A storage subsystem is a computer system.

  Throws:
    `AttributeNotSetException`

### setAnsiT10Id

    void setAnsiT10Id(java.lang.String id)

### hasAnsiT10Id

    boolean hasAnsiT10Id()

### getMembers

    StorageVolume[] getMembers()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="true"

### setMembers

    void setMembers(StorageVolume[] volumes)

### hasMembers

    boolean hasMembers()

### getRaidLevel

    java.lang.String getRaidLevel()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRaidLevel

    void setRaidLevel(java.lang.String level)

### hasRaidLevel

    boolean hasRaidLevel()

### getTotalAvailableSpace

    long getTotalAvailableSpace()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTotalAvailableSpace

    void setTotalAvailableSpace(long space)

### hasTotalAvailableSpace

    boolean hasTotalAvailableSpace()

### getTotalManagedSpace

    long getTotalManagedSpace()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTotalManagedSpace

    void setTotalManagedSpace(long space)

### hasTotalManagedSpace

    boolean hasTotalManagedSpace()

### getRemainingManagedSpace

    long getRemainingManagedSpace()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRemainingManagedSpace

    void setRemainingManagedSpace(long space)

### hasRemainingManagedSpace

    boolean hasRemainingManagedSpace()

### getCapacity

    long getCapacity()
                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCapacity

    void setCapacity(long capacity)

### hasCapacity

    boolean hasCapacity()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD